Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002357 [DCSS] FR: Maps and Vaults minor have not tried 2010-08-23 17:29 2014-05-20 14:21
Reporter jpeg View Status public  
Assigned To wheals
Priority normal Resolution done  
Status resolved   Product Branch 0.8 ancient branch
Summary 0002357: Allow randomizing the number of altars in Temple maps
Description A lot of the current ET maps feature 12 gods. This is probably mostly historical and is likely to change as time goes on. Of course, it is possible to add variants of existing maps that feature fewer altars. However, this would become a lot easier if there was a way to randomize the number of altars within a given map, e.g. by making use of SUBST and SHUFFLE of various features.

This does not currently work, I suspect because the map gets evaluated twice: once at gamestart to determine the number of gods, and once when the player actually enters the Temple and the level is generated. If the first time around the number was randomly higher, some gods may not be present in the dungeon at all. If the number was lower, some of the B positions in the level map will remain empty floor.

The best solution is probably to create the level map (i.e. foobar.01b) right away at the start of the game. Are there any downsides to doing so?
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0007518)
blue_anna (updater)
2010-08-23 17:59

try something like:

{{
util = {}
util.random_altars = function(e)
if crawl.game_started() then
   local switch = crawl.random2(10) -- for example
   if (switch == 0) then
       e.nsubst("C", "1:altar_zin / *:. ")
   else if (switch == 1) then
       e.nsubst("C", "1:altar_zin / 1:altar_foo / ... / *:. ")
-- and so on
end
end
}}
(0007531)
jpeg (manager)
2010-08-24 10:59

Wouldn't that simply add *extra* altars? That's not what I'm talking about - it may create duplicate altars, and doesn't affect the number of overflow altars elsewhere in the dungeon.

Now that I think of it, vetoing the temple level as long as the number of B altars doesn't match the number of expected gods might do the trick.
(0026231)
wheals (administrator)
2014-05-20 14:21

Implemented by Grunt in 727b7af61c03.

- Issue History
Date Modified Username Field Change
2010-08-23 17:29 jpeg New Issue
2010-08-23 17:59 blue_anna Note Added: 0007518
2010-08-24 10:59 jpeg Note Added: 0007531
2013-03-17 19:26 mumra Issue Monitored: mumra
2014-05-20 14:21 wheals Note Added: 0026231
2014-05-20 14:21 wheals Status new => resolved
2014-05-20 14:21 wheals Fixed in Branch => 0.15 development branch
2014-05-20 14:21 wheals Resolution open => done
2014-05-20 14:21 wheals Assigned To => wheals


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker